Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77398 - kernel panic when shutdown
Summary: kernel panic when shutdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 13:45 UTC by Borys Wojcik
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:09 UTC


Attachments (Terms of Use)
Error Messages (deleted)
2002-11-06 13:56 UTC, Borys Wojcik
no flags Details

Description Borys Wojcik 2002-11-06 13:45:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
When I want to restart or shutdown the system I get the message
Please stand by while rebooting system ...
/etc/rc6.d/S01reboot: line 1: xxxx Segmentation fault reboot -i -d -p
Kernel: 2.4.18-17.7.xsmp (Multiprocessor 2 x PIII)
The exact Error Message and log-files is in Attachment.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Typing shutdown -r now or pushing Strg + Alt + Entf

2.
3.
	

Additional info:

Comment 1 Borys Wojcik 2002-11-06 13:56:20 UTC
Created attachment 83846 [details]
Error Messages

Comment 2 Arjan van de Ven 2002-11-06 13:58:32 UTC
ah the gdth driver:
we fixed a shutdown oops recently, a kernel for testing this is available from:
http://people.redhat.com/arjanv/testkernels/

Comment 3 Borys Wojcik 2002-11-06 14:12:04 UTC
I forgot it is very importent. The problem onla happends when using 
Multiprocessor Kernel. After boot with Singleprocessor Kernel everything is OK!

Comment 4 Borys Wojcik 2002-11-06 15:29:49 UTC
I have downloaded kernel-smp-2.4.18-17.2.i686.rpm for testing, but during the 
installation there is a message that my kernel 2.4.18-17.7.xsmp is newer than 
that one I want to install.



Comment 5 Jure Pecar 2002-11-26 00:08:06 UTC
If the fix for this problem in the 2.4.18-7.2 kernel is just a single line
change in scsi.c, can you port it to the redhatAS kernel? Through the AS support
i couldn't get the patch (so much about the payable support). I kinda NEED the
gdth driver working in the 2.4.9e.10 kernel.

Comment 6 Arjan van de Ven 2002-11-26 10:02:31 UTC
jure.pecar@select-tech.si: please open a separate bug for that

Comment 7 Jure Pecar 2002-11-26 12:29:52 UTC
see bug #76240.

Comment 8 Bugzilla owner 2004-09-30 15:40:09 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.